Workflow attributes
Fetches custom MatchableAttributesConfiguration for a project, domain and workflow.
Retrieve the customized resource attributes associated with a project, domain and workflow combination
GET
/
api
/
v1
/
workflow_attributes
/
{project}
/
{domain}
/
{workflow}
Fetches custom MatchableAttributesConfiguration for a project, domain and workflow.
curl --request GET \
--url https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow}import requests
url = "https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"attributes": {
"domain": "<string>",
"matching_attributes": {
"cluster_assignment": {
"cluster_pool_name": "<string>"
},
"cluster_resource_attributes": {
"attributes": {}
},
"execution_cluster_label": {
"value": "<string>"
},
"execution_queue_attributes": {
"tags": [
"<string>"
]
},
"plugin_overrides": {
"overrides": [
{
"missing_plugin_behavior": "FAIL",
"plugin_id": [
"<string>"
],
"task_type": "<string>"
}
]
},
"quality_of_service": {
"spec": {
"queueing_budget": "<string>"
},
"tier": "UNDEFINED"
},
"task_resource_attributes": {
"defaults": {
"cpu": "<string>",
"ephemeral_storage": "<string>",
"gpu": "<string>",
"memory": "<string>",
"storage": "<string>"
},
"limits": {
"cpu": "<string>",
"ephemeral_storage": "<string>",
"gpu": "<string>",
"memory": "<string>",
"storage": "<string>"
}
},
"workflow_execution_config": {
"annotations": {
"values": {}
},
"envs": {
"values": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"execution_env_assignments": [
{
"execution_env": {
"extant": {},
"name": "<string>",
"spec": {},
"type": "<string>",
"version": "<string>"
},
"node_ids": [
"<string>"
],
"task_type": "<string>"
}
],
"interruptible": true,
"labels": {
"values": {}
},
"max_parallelism": 123,
"overwrite_cache": true,
"raw_output_data_config": {
"output_location_prefix": "<string>"
},
"security_context": {
"run_as": {
"execution_identity": "<string>",
"iam_role": "<string>",
"k8s_service_account": "<string>",
"oauth2_client": {
"client_id": "<string>",
"client_secret": {
"env_var": "<string>",
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY"
}
}
},
"secrets": [
{
"env_var": "<string>",
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY"
}
],
"tokens": [
{
"client": {
"client_id": "<string>",
"client_secret": {
"env_var": "<string>",
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY"
}
},
"idp_discovery_endpoint": "<string>",
"name": "<string>",
"token_endpoint": "<string>",
"type": "CLIENT_CREDENTIALS"
}
]
}
}
},
"org": "<string>",
"project": "<string>",
"workflow": "<string>"
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Unique project id which this set of attributes references. +required
Unique domain id which this set of attributes references. +required
Workflow name which this set of attributes references. +required
Query Parameters
Which type of matchable attributes to return. +required
- TASK_RESOURCE: Applies to customizable task resource requests and limits.
- CLUSTER_RESOURCE: Applies to configuring templated kubernetes cluster resources.
- EXECUTION_QUEUE: Configures task and dynamic task execution queue assignment.
- EXECUTION_CLUSTER_LABEL: Configures the K8s cluster label to be used for execution to be run
- QUALITY_OF_SERVICE_SPECIFICATION: Configures default quality of service when undefined in an execution spec.
- PLUGIN_OVERRIDE: Selects configurable plugin implementation behavior for a given task type.
- WORKFLOW_EXECUTION_CONFIG: Adds defaults for customizable workflow-execution specifications and overrides.
- CLUSTER_ASSIGNMENT: Controls how to select an available cluster on which this execution should run.
Available options:
TASK_RESOURCE, CLUSTER_RESOURCE, EXECUTION_QUEUE, EXECUTION_CLUSTER_LABEL, QUALITY_OF_SERVICE_SPECIFICATION, PLUGIN_OVERRIDE, WORKFLOW_EXECUTION_CONFIG, CLUSTER_ASSIGNMENT Optional, org key applied to the attributes.
Response
A successful response.
Response to get an individual workflow attribute override.
attributes
Defines a set of custom matching attributes which defines resource defaults for a project, domain and workflow.
For more info on matchable attributes, see MatchableAttributesConfiguration · object
Show child attributes
Show child attributes
Last modified on August 19, 2026
Was this page helpful?
⌘I
Fetches custom MatchableAttributesConfiguration for a project, domain and workflow.
curl --request GET \
--url https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow}import requests
url = "https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/flows/api/v1/workflow_attributes/{project}/{domain}/{workflow}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"attributes": {
"domain": "<string>",
"matching_attributes": {
"cluster_assignment": {
"cluster_pool_name": "<string>"
},
"cluster_resource_attributes": {
"attributes": {}
},
"execution_cluster_label": {
"value": "<string>"
},
"execution_queue_attributes": {
"tags": [
"<string>"
]
},
"plugin_overrides": {
"overrides": [
{
"missing_plugin_behavior": "FAIL",
"plugin_id": [
"<string>"
],
"task_type": "<string>"
}
]
},
"quality_of_service": {
"spec": {
"queueing_budget": "<string>"
},
"tier": "UNDEFINED"
},
"task_resource_attributes": {
"defaults": {
"cpu": "<string>",
"ephemeral_storage": "<string>",
"gpu": "<string>",
"memory": "<string>",
"storage": "<string>"
},
"limits": {
"cpu": "<string>",
"ephemeral_storage": "<string>",
"gpu": "<string>",
"memory": "<string>",
"storage": "<string>"
}
},
"workflow_execution_config": {
"annotations": {
"values": {}
},
"envs": {
"values": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"execution_env_assignments": [
{
"execution_env": {
"extant": {},
"name": "<string>",
"spec": {},
"type": "<string>",
"version": "<string>"
},
"node_ids": [
"<string>"
],
"task_type": "<string>"
}
],
"interruptible": true,
"labels": {
"values": {}
},
"max_parallelism": 123,
"overwrite_cache": true,
"raw_output_data_config": {
"output_location_prefix": "<string>"
},
"security_context": {
"run_as": {
"execution_identity": "<string>",
"iam_role": "<string>",
"k8s_service_account": "<string>",
"oauth2_client": {
"client_id": "<string>",
"client_secret": {
"env_var": "<string>",
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY"
}
}
},
"secrets": [
{
"env_var": "<string>",
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY"
}
],
"tokens": [
{
"client": {
"client_id": "<string>",
"client_secret": {
"env_var": "<string>",
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY"
}
},
"idp_discovery_endpoint": "<string>",
"name": "<string>",
"token_endpoint": "<string>",
"type": "CLIENT_CREDENTIALS"
}
]
}
}
},
"org": "<string>",
"project": "<string>",
"workflow": "<string>"
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}